> For the complete documentation index, see [llms.txt](https://docs.visualsentinel.com/llms.txt)

# VisualDataResponse data model

The VisualDataResponse shape in the Visual Sentinel REST API.

## Fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `baseline` | object | No |   |
| `baseline.url` | string | No |   |
| `baseline.capturedAt` | string (date-time) | No |   |
| `latest` | object | No |   |
| `latest.url` | string | No |   |
| `latest.capturedAt` | string (date-time) | No |   |
| `latest.diffPercentage` | number | No |   |
| `history` | array of object | No |   |

## Used by

- [Get visual monitoring data](https://docs.visualsentinel.com/reference/visual-monitoring.md#get-visual-data): `GET /api/monitors/{id}/visual`

Generated from the OpenAPI 3.1 specification at [https://docs.visualsentinel.com/openapi.json](https://docs.visualsentinel.com/openapi.json).
